Bug 177247 - Review Request: jthread
Summary: Review Request: jthread
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Mahowald
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT 177249
TreeView+ depends on / blocked
 
Reported: 2006-01-08 07:24 UTC by Jeffrey C. Ollie
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-01 02:52:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeffrey C. Ollie 2006-01-08 07:24:41 UTC
Spec Name or Url: http://www.ocjtech.us/jthread-1.1.2-1.spec
SRPM Name or Url: http://www.ocjtech.us/jthread-1.1.2-1.src.rpm
Description:

JThread provides some classes to make use of threads easy on different
platforms. The classes are actually rather simple wrappers around
existing thread implementations.

This is a dependency of JRTPLIB.

Comment 1 John Mahowald 2006-03-01 01:27:40 UTC
Good:

- rpmlint checks return:
E: jthread-devel only-non-binary-in-usr-lib
False alarm, it's a symlink.

- package meets naming guidelines
- package meets packaging guidelines
- license (MIT) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

- devel package ok
- no .la files
- devel requires base package n-v-r

APPROVED

Comment 2 Jeffrey C. Ollie 2006-03-01 02:52:57 UTC
Thansks for the review!

Comment 3 Christian Iseli 2006-04-08 20:46:30 UTC
Please add the package in owners.list


Note You need to log in before you can comment on or make changes to this bug.